aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxres/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 13:39:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 13:39:48 +0000
commit353ed58716ab5d1114b6f196c8590c6e9f08d124 (patch)
tree8a188ede4e1b65907869c19e10195d8b1f08dcaf /x11/libxres/APKBUILD
parent870b53bbc17b8771cbf2820c5f8f80a3da33779a (diff)
downloadaports-353ed58716ab5d1114b6f196c8590c6e9f08d124.tar.gz
aports-353ed58716ab5d1114b6f196c8590c6e9f08d124.tar.bz2
aports-353ed58716ab5d1114b6f196c8590c6e9f08d124.tar.xz
x11/libxres: new aport
X11 Resource extension library
Diffstat (limited to 'x11/libxres/APKBUILD')
-rw-r--r--x11/libxres/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/x11/libxres/APKBUILD b/x11/libxres/APKBUILD
new file mode 100644
index 0000000000..688a92585f
--- /dev/null
+++ b/x11/libxres/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxres
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="X11 Resource extension library"
+url="http://xorg.freedesktop.org"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="pkgconfig libxext-dev resourceproto"
+depends=
+source="http://xorg.freedesktop.org/releases/individual/lib/libXres-$pkgver.tar.bz2"
+
+depends_dev="xproto libx11-dev libxext-dev"
+build ()
+{
+ cd "$srcdir"/libXres-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+md5sums="de66ffb657aba64c9d6dbdeabb757f3e libXres-1.0.3.tar.bz2"